//----------------
//Event Type: Output
//Event Target: Brick
//Event Name: setBrickOwnership
//Event Arguements: [text:New owner's BL_ID[bool: set owner trigger client]]
//----------------
//Creator: Destiny
//----------------
registerOutputEvent(fxDtsBrick,"setBrickOwnership","string 25 50\tbool",1);
function fxDtsBrick::setBrickOwnership(%brick,%id,%bool,%client)
{
	if(%bool == true)
	{
		%clientbg = getBrickGroupFromObject(%client);
		%clientbg.add(%brick);
		%brick.client = %client;
		%brick.stackBL_ID = %clientbg.bl_id;
	}
	else
	{
		%idbg = nameToID("BrickGroup_"@%id);
		if(isObject(%idbg))
		{
			%idbg.add(%brick);
			if(isObject(%idbg.client))
			{
				%brick.client = %idbg.client;
				%brick.stackBL_ID = %idbg.bl_id;
			}
		}
	}
}